import axiosObj from "axios";
// import api from '@/api'
// import router from '@/router'
// import store from "../store";

const defaultConfig = {
  timeout: 60*1000,
  headers: {
    get: {
      // 设置默认请求头，当需要特殊请求头时，将其作为参数传入，即可覆盖此处的默认参数
      "Content-Type": "application/json;charset=utf-8"
    },
    post:{
      // 设置默认请求头，当需要特殊请求头时，将其作为参数传入，即可覆盖此处的默认参数(第三个参数即config)
      "Content-Type": "application/json;charset=utf-8"
    }
  }
};

const _axios = axiosObj.create(defaultConfig);
// request拦截器
_axios.interceptors.request.use(
  function(config){
    console.log(config)
    const controller = new AbortController();
    config.signal = controller.signal;
    let token = sessionStorage.getItem('token');
    token && (config.headers.Authorization = token);

    return config;
  },
  function (error){
    console.log(error);
    error.data = {};
    error.data.msg = "服务器异常";
    return Promise.reject(error);
  }
);

// response拦截器
_axios.interceptors.response.use(
  function (response){
    if(response.status === 200){
      if(response.data){
        // try {
        //   const res = response.data;
        //   if(!res.success){
        //     switch (res.error_code){
        //       //续约，单token过期
        //       case '01003':
        //         api.loginAPI.userRefreshToken().then(res => {
        //           if(res.success){
        //             sessionStorage.setItem('token', res.data.token);
        //             sessionStorage.setItem('refreshToken', res.data.refreshToken);
        //           }
        //         }).catch(err => console.log(err));
        //         break;
        //       //重新登录，双token过期
        //       case '01002':
        //         router.push('/login');
        //         location.reload();
        //         sessionStorage.clear();
        //         break;
        //     }
        //   }
        // } catch (e) {
        //   // 不是json字符串就不处理
        //   return response.data;
        // }
      }
      return response.data;
    }
    return response;
  },
  function (error){
    if (error) {
      // 请求已发出，但不在2xx范围内
      // errorHandle(error.response.status, error.response.data);
      return Promise.reject(error);
    } else {
      // 断网
      return Promise.reject(error);
    }
  }
);
export default _axios;
