/** @type {import('tailwindcss').Config} */
module.exports = {
  content: ["./index.html", "./src/**/*.{html,js,vue}"],
  mode: "jit",
  theme: {
    extend: {
      colors: {
        primary: "#1296db",
        secondary: "#142C8E",
        third: '#104a61',
        dimWhite: "rgba(255, 255, 255, 0.7)",
        dimBlue: "rgba(9, 151, 124, 0.1)",
        blueWhite: '#D1F1FF',
        borderWhite:'rgb(88,119,129)',
        visitedWhite: "rgba(209,241,255,.1)"
      },
      fontFamily: {
        poppins: ["sans-serif"],
      },
    },
    screens: {
      xs: "480px",
      ss: "620px",
      sm: {max: "820px"},
      md: "1100px",
      lg: "1200px",
      xl: "1680px",
    },
  },
  plugins: [
    function ({addBase}) {
      addBase({
        ".el-button": {
          "background-color": "var(--el-button-bg-color, var(--el-color-white))"
        }
      })
    }
  ],
}
